DEBSPAWN-MAINTAIN(1)

NAME
debspawn-maintain - Run various maintenance actions

SYNOPSIS

debspawn maintain [-h|--help] [-y|--yes] [--migrate] [--update-all] [--clear-caches] [--purge] [--status]

DESCRIPTION

Perform various maintenance actions on debspawn. Actions this subcommand allows will affect generic settings of debspawn or all of its container images at once. It can also be used to display general, useful information about the system and debspawn installation to help with finding setup issues.

EXAMPLES

You can update all container images that debspawn knows of in one go:

$ debspawn maintain --update-all

If you want to get information about the current debspawn installation (useful when reporting an issue against it), the --status option will print a status summary and highlight issues:

$ debspawn maintain --status

You can clear all caches for all images to free up disk space (missing data will be downloaded or regenerated again when it is needed):

$ debspawn maintain --clear-caches

OPTIONS

-h|--help
    Print brief help information about available commands.

-y|--yes
    Perform dangerous actions without asking twice.

--migrate
    Migrate any settings or configuration changes to the current version of debspawn.

--update-all
    Update all container images that we know.

--clear-caches
    Delete all cached packages for all images.

--purge
    Remove all images as well as any data associated with them.

--status
    Display a status summary about this installation, highlighting potential issues.

SEE ALSO

debspawn-build(1), debootstrap(1), systemd-nspawn(1).

AUTHOR

This manual page was written by Matthias Klumpp <mak@debian.org>.

COPYRIGHT
Copyright © 2018-2022 Matthias Klumpp